%define section         free

# To make the tarball:
#  export CVSROOT=:pserver:anoncvs@anoncvs.internet2.edu:/home/cvs/shibboleth
#  cvs login
#  cvs export -r Rel_1_1_FINAL_B opensaml

Name:		opensaml
Summary:	Open source implementation of the SAML 1.0 and 1.1 specifications
Version: 	1.1b
Release:	1jpp_1rh
Epoch:		0

URL: 		http://www.opensaml.org/
License: 	Apache Public License v2.0
Group: 		Development/Libraries/Java
#Vendor:         JPackage Project
#Distribution:   JPackage
Source0: 	%{name}-%{version}.tgz

BuildRequires:	ant >= 1.6.2
BuildRequires:	ant-junit >= 1.6.2
BuildRequires:	ant-nodeps >= 1.6.2
BuildRequires:	junit >= 3.8
BuildRequires:	jakarta-commons-codec >= 1.3
BuildRequires:	jakarta-commons-logging >= 1.0.4
BuildRequires:	log4j >= 1.2.8
BuildRequires:	tomcat5-servlet-2.4-api >= 5.5.9
BuildRequires:	xalan-j2 >= 2.6.0
BuildRequires:	xerces-j2 >= 2.6.2
BuildRequires:	xml-commons-apis >= 0:1.3.02
BuildRequires:	xml-commons-resolver >= 1.1
BuildRequires:	xml-security >= 1.2.1
Requires:  jakarta-commons-codec >= 1.3
Requires:  jakarta-commons-logging >= 1.0.4
Requires:  log4j >= 1.2.8
Requires:  tomcat5-servlet-2.4-api >= 5.5.9
Requires:  xalan-j2 >= 2.6.0
Requires:  xerces-j2 >= 2.6.2
Requires:  xml-commons-apis >= 0:1.3.02
Requires:  xml-commons-resolver >= 1.1
Requires:  xml-security >= 1.2.1

BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:		noarch

%description
OpenSAML is a set of open source Java and C++ libraries that implement the
SAML 1.0 and 1.1 specifications.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}

mv java/* .
rm -rf java

find . -name "*.jar" | xargs rm -f

build-jar-repository endorsed \
					xalan-j2 \
					xerces-j2 \
					xml-commons-apis \
					xml-commons-resolver

build-jar-repository lib \
					jakarta-commons-codec \
					jakarta-commons-logging \
					junit \
					log4j \
					tomcat5-servlet-2.4-api \
					wsdl4j \
					xalan-j2 \
					xml-security

# Uncomment the line below to show output... do we really want to see test 
# output though? since haltonerror is true, any failed test will abort build 
# anyways, so it won't be missed.

#sed -i -e s:'<junit printsummary="no" fork="yes" haltonfailure="yes" haltonerror="yes" dir="${root}">':'<junit printsummary="yes" fork="yes" haltonfailure="yes" haltonerror="yes" dir="${root}">':g build.xml

%build
ant dist javadocs

%install
rm -rf $RPM_BUILD_ROOT

# main package
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 dist/opensaml-1.1.jar \
    $RPM_BUILD_ROOT%{_javadir}/opensaml-%{version}.jar
ln -s opensaml-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/opensaml.jar

# javadoc
install -d -m 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
cp -pr doc/api/* \
    $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT/%{_javadocdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}
%{_javadir}/opensaml-%{version}.jar
%{_javadir}/opensaml.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%changelog
* Fri Oct 21 2005 Fernando Nasser <fnasser@redhat.com> 0:1.1b-1jpp_1rh
- First Red Hat build

* Thu Oct 20 2005 Deepak Bhole <dbhole@redhat.com> 0:1.1b-1jpp
- Initial build.
